import { defineStore } from 'pinia'

export const useModalStore = defineStore('modalStore', {
  state: () => ({
    content: '',
    isOpen: false,
    title: '',
  }),
})

export type ModalStoreDefinition = Omit<
  ReturnType<typeof useModalStore>,
  keyof ReturnType<typeof defineStore>
>
